Bug 463203 (CVE-2008-4063)

Summary: CVE-2008-4063 Mozilla crashes with evidence of memory corruption
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: security-response-team, skakar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-4063
Whiteboard: impact=critical,source=mozilla,reported=20080901,public=20080923
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-23 18:35:38 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 460512, 460513    

Description Josh Bressers 2008-09-22 11:33:44 EDT
Mozilla developers identified and fixed several stability bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these crashes showed evidence of memory corruption under certain
circumstances and we presume that with enough effort at least some of these
could be exploited to run arbitrary code.

Jesse Ruderman, Bob Clary, and Martijn Wargers reported crashes in the
layout engine which only affected Firefox 3.
Comment 2 Josh Bressers 2008-09-23 20:59:06 EDT
This is now public
Comment 3 Vincent Danen 2010-12-23 18:35:38 EST
This was addressed via:

Red Hat Enterprise Linux version 4 (RHSA-2008:0879)
Red Hat Enterprise Linux version 5 (RHSA-2008:0879)